be.ehealth.businessconnector.chapterIV.builders

## Interface AdmissionBuilder

- All Known Implementing Classes:
    AdmissionBuilderImpl

      public interface AdmissionBuilder

  creates admission request objects. Default impl : `AdmissionBuilderImpl` Factory : `BuilderFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChapterIVBuilderResponse` | `build(FolderType folder, boolean isTest, ChapterIVReferences references, org.joda.time.DateTime agreementStartDate)`
    `AskChap4MedicalAdvisorAgreementRequest` | `buildRequest(FolderType folder, boolean isTest, ChapterIVReferences references, org.joda.time.DateTime agreementStartDate)`
    `AskChap4MedicalAdvisorAgreementRequest` | `buildRequest(FolderType folder, boolean isTest, String commonReference, String commonNIPReference, org.joda.time.DateTime agreementStartDate)` Deprecated.

- - ### Method Detail

    - #### buildRequest

          @Deprecated
          AskChap4MedicalAdvisorAgreementRequest buildRequest(FolderType folder,
                                                                           boolean isTest,
                                                                           String commonReference,
                                                                           String commonNIPReference,
                                                                           org.joda.time.DateTime agreementStartDate)
                                                                    throws ChapterIVBusinessConnectorException,
                                                                           TechnicalConnectorException

      Deprecated.
      builds the `AskChap4MedicalAdvisorAgreementRequest`. the folder should contain at least the following elements for the connector to work :
      - the ids list in folder.patient.ids should contain at least one id.
      for the agreementStartDate parameter utility method is provided in `FolderTypeUtils` .retrieveConsultationStartDateOrAgreementStartDate(FolderType folder), if this value is null you need to provide the agreementStartDate yourself , following the chapterIV documentation
      Parameters:
        `folder` - `FolderType` contains the information to retrieve/send
        `isTest` - boolean indicating if this message is a test or not
        `commonReference` - String used to fill out commonReference field in CommonInput tag
        `commonNIPReference` - String used to fill out commonNipReference field in CommonInput tag
        `agreementStartDate` - not nullable : the agreementStartDate to be used in the request for the webservice : value : see documentation chapterIV
      Returns:
        filled out AskChap4MedicalAdvisorAgreementRequest
      Throws:
        `ChapterIVBusinessConnectorException`
        `TechnicalConnectorException`

    - #### buildRequest

          AskChap4MedicalAdvisorAgreementRequest buildRequest(FolderType folder,
                                                              boolean isTest,
                                                              ChapterIVReferences references,
                                                              org.joda.time.DateTime agreementStartDate)
                                                       throws ChapterIVBusinessConnectorException,
                                                              TechnicalConnectorException

      Parameters:
        `folder` - `FolderType` contains the information to retrieve/send
        `isTest` - boolean indicating if this message is a test or not
        `references` - contains all the references needed by ChapterIV
        `agreementStartDate` - not nullable : the agreementStartDate to be used in the request for the webservice : value : see documentation chapterIV
      Returns:
        filled out AskChap4MedicalAdvisorAgreementRequest
      Throws:
        `ChapterIVBusinessConnectorException`
        `TechnicalConnectorException`

    - #### build

          ChapterIVBuilderResponse build(FolderType folder,
                                         boolean isTest,
                                         ChapterIVReferences references,
                                         org.joda.time.DateTime agreementStartDate)
                                  throws ChapterIVBusinessConnectorException,
                                         TechnicalConnectorException

      Parameters:
        `folder` - `FolderType` contains the information to retrieve/send
        `isTest` - boolean indicating if this message is a test or not
        `references` - contains all the references needed by ChapterIV
        `agreementStartDate` - not nullable : the agreementStartDate to be used in the request for the webservice : value : see documentation chapterIV
      Returns:
        a `Map` with all the object generated by the builder.
      Throws:
        `ChapterIVBusinessConnectorException`
        `TechnicalConnectorException`

Connector Packaging PERSPHYSICIAN 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.